Skip to content
Navigation

List an experiment's assignments

GET
https://api.evidential.dev/v1/experiments/{experiment_id}/assignments

Authorization

  • DatasourceApiKey
    API key in header
    required

    X-API-Key: <token>

Path parameters

  • experiment_id
    string
    required

    The ID of the experiment to fetch.

Returns

200

Successful Response

JSON
  • experiment_id
    string
    required
  • sample_size
    integer
    required
  • assignments
    array of
    object
    required
    • arm_id
      string
      required

      ID of the arm this participant was assigned to. Same as Arm.arm_id.

    • participant_id
      string
      required

      Unique identifier for the participant. This is the primary key for the participant in the data warehouse.

      maxLength: 64
    • arm_name
      string
      required

      The arm this participant was assigned to. Same as Arm.arm_name.

      maxLength: 100
    • cluster_key
      optional

      Cluster identifier for this participant. Present for cluster-randomized preassigned experiments.

      Any of the following:

      • string
      • null
    • created_at
      optional

      The date and time the assignment was created.

      Any of the following:

      • string
      • null
    • strata
      optional

      List of properties and their values for this participant used for stratification or tracking metrics. If stratification is not used, this will be None.

      Any of the following:

      • array<unknown>
        • field_name
          string
          required
          maxLength: 300 · minLength: 1
        • strata_value
          optional

          Any of the following:

          • string
          • null
      • null
    • observed_at
      optional

      The date and time the outcome was recorded.

      Any of the following:

      • string
      • null
    • outcome
      optional

      The observed outcome for this assignment.

      Any of the following:

      • number
      • null
    • autofailed_outcome
      optional

      Whether Evidential failed this outcome automatically (true) or a real outcome was observed (false). Null if no outcome was recorded.

      Any of the following:

      • boolean
      • null
    • context_values
      optional

      List of context values for this assignment. If no contexts are used, this will be None.

      Any of the following:

      • array<number>
      • null
  • balance_check
    optional

    Balance test results if available. Online experiments do not have balance checks.

    Any of the following:

    • BalanceCheck
      • f_statistic
        number
        required

        F-statistic testing the overall significance of the model predicting treatment assignment.

      • numerator_df
        integer
        required

        The numerator degrees of freedom for the f-statistic related to number of dependent variables.

      • denominator_df
        integer
        required

        Denominator degrees of freedom related to the number of observations.

      • p_value
        number
        required

        Probability of observing these data if the strata do not predict treatment assignment. A high value means the randomization is balanced.

      • balance_ok
        boolean
        required

        Whether the p-value for our observed f_statistic is greater than the f-stat threshold specified in our design specification. (See DesignSpec.fstat_thresh)

    • null

400

The request is invalid. Check that the request body matches the required structure and that all required fields and headers are present.

403

You did not provide a valid API key, or your API key does not have permission for this operation.

Tip: Check that the API key in the X-API-Key header has access to the data source or experiment.

404

The resource was not found, or you do not have access to it.

Tip: Check that the API key in the X-API-Key header has access to the data source or experiment.

422

Validation Error
JSON
  • detail
    optional
    array of
    object
    • loc
      array of
      required

      Any of the following:

      • string
      • integer
    • msg
      string
      required
    • type
      string
      required
    • input
      optional
      unknown
    • ctx
      optional
      object

Type to search…

↑↓ navigate↵ selectEsc close